$i: 1;
$row: 1;
$col: 1;


    @while $row < 6 {
        @while $col < 4 {
            @if ($row % 2 == 0) and ($col == 2) {
                $col: $col + 1;
            }

            #grid-galerie>figure:nth-child(#{$i}){
                grid-area: #{$row}/#{$col}/#{$row+1}/#{$col+1}; 
            }  
            $i: $i + 1;
            $col: $col + 1;             
        }
        $col: 1;
        $row: $row + 1;
    }
       

